small.err {
    position: absolute;
    bottom: -17px;
    left: 53px;
    color: red;
    font-size: 12px;
    font-style: italic;
}

.input-group {
    margin-bottom: 20px;
}

.sidebar[data-background-color=dark] .nav .nav-item>a.active {
    background: rgba(0, 0, 0, .16);
}

.sidebar[data-background-color=dark] .nav .nav-item>a.active i {
    color: rgb(104, 97, 206) !important;
}

.sidebar .nav-collapse li a.active .sub-item {
    opacity: 1;
    color: #fff;
}

.sidebar[data-background-color=dark] .nav .nav-item>a.active {
    background: rgba(0, 0, 0, .16);
}

.sidebar[data-background-color=dark] .nav .nav-item>a.active i {
    color: #6861ce !important;
}

.sidebar .nav>.nav-item a.active p {
    color: #fff;
}

.flex-between {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
}

.flex-start {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}

.btn-create {
    display: block;
    border: 1px solid #bbb;
    width: 10em;
    padding: 10px 10px;
    border-radius: 10px;
    text-align: center;
    color: #333;
    text-decoration: none;
    font-size: 14px;
    transition: .3s ease-out;
}

.form-group {
    position: relative;
}

.form-group .err {
    bottom: -8px;
    left: 15px;
}

.flex-end {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-end;
    align-items: center;
}

.mr-2 {
    margin-right: 20px;
}

.menu-wrapper {
    background: #fff;
    height: 24em;
    width: 20em;
    border-radius: 25px;
    position: relative;
    border: 1px solid #bbb;
}

.menu-image {
    position: absolute;
    height: 55%;
    width: 100%;
    border-radius: 25px 25px 0px 0px;
}

.menu-title {
    position: relative;
    width: 100%;
    top: 60%;
    height: 10%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.menu-title h4 {
    color: #333;
    font-size: 16px;
}

.menu-desc {
    position: absolute;
    top: 73%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    height: 3em;
    text-align: center;
}

.menu-desc p {
    color: #333;
    font-size: 12px;
}

.menu-price {
    position: absolute;
    bottom: 0%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
    background: #daa968;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    border-radius: 30px;
}

.menu-price p {
    font-size: 12px;
    position: relative;
    top: -1px;
    left: -5px;
}

.menu-price span {
    font-size: 16px;
}

.menu-price small {
    position: absolute;
    bottom: -2px;
    right: -66px;
    color: #333;
}

.posrel {
    position: relative;
    min-height: 100vh;
    width: 100%;
}

img.img-full-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 10px 10px 0px 0px;
}

.menu-image a i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 30px;
    background: #333;
    color: #bbb;
    padding: 10px;
    border-radius: 50%;
}

.menu-image a {
    position: absolute;
    display: block;
    /* background: lime; */
    width: 100%;
    height: 100%;
    border-radius: 10px 10px 0px 0px;
    opacity: 0.7;
}

.menu-image a:hover {
    background-color: #bbbbbb18;
    opacity: 1;
}

.file-icon {
    position: absolute;
    background: lime;
    width: 100%;
    height: 100%;
    border-radius: 10px 10px 0px 0px;
    opacity: 0;
    cursor: pointer;
    left: 0;
    top: 0;
}

.comming {
    background: #3336;
    height: 47%;
    border-radius: 0px 0px 10px 10px;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
}

.comming h4 {
    margin-top: 45px;
    font-size: 20px;
    transform: rotate(332deg);
    border-top: 1px solid #f2f2f2;
    border-bottom: 1px solid #f2f2f2;
    padding: 15px 0px;
}

#comming-soon {
    opacity: 0;
}

.menu-image .err {
    position: absolute;
    bottom: -20px;
}

#multi-filter-select_filter {
    display: none !important;
}

.box-time {
    border: 1px solid #bbb;
    border-radius: 10px;
    margin-bottom: 20px;
    padding: 15px;
}

.qr-wrapper {
    background: #bbb;
    border-radius: 10px;
    width: 20em;
    height: 22em;
    position: relative;
    border: 1px solid #bbb;
}

.qr-wrapper .qr-container {
    position: absolute;
    width: 100%;
    height: 70%;
    background: #fff;
    border-radius: 10px 10px 0px 0px;
    top: 0;
    left: 0;
}

.qr-wrapper .qr-container svg {
    position: absolute;
    width: 100%;
    height: 80%;
    border-radius: 10px 10px 0px 0px;
    top: 30px;
    left: 0;
}

.qr-wrapper .qr-desc {
    position: absolute;
    bottom: 0;
    left: 0;
    background: #fff;
    height: 30%;
    width: 100%;
    border-radius: 0px 0px 10px 10px;
    border-top: 3px solid #333;
    padding-right: 20px;
    padding-bottom: 10px;
}

.qr-wrapper .qr-desc p {
    color: #333;
    padding: 0;
    margin: 0;
    font-size: 14px;
    font-weight: 500;
}

.qr-wrapper .qr-desc p.user {
    margin-top: 16px;
    margin-left: 25px;
    margin-bottom: 5px;
}

.qr-wrapper .qr-desc p.reload {
    margin-left: 25px;
}

#display_generate,
#display_loading {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    background: #bbb;
    width: 100%;
    height: 100%;
    border-radius: 10px 10px 0px 0px;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

#display_generate p,
#display_loading p {
    font-size: 25px;
    font-weight: 800;
    color: #333;
}

#display_qr,
#display_loading,
#alert-congrat,
#timer_count {
    display: none;
}

.form_line_wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 25px;
}

.form_line_wrapper label {
    width: 10em;
    font-size: 18px;
    color: #fff;
}

span {
    color: #fff;
}

.form_line_wrapper .form_container {
    position: relative;
    background: #fff;
    height: 60px;
    width: 25em;
    border-radius: 6px;
}

.form_line_wrapper .form_container.read {
    background: #bbb;
}

.form_line_wrapper .form_container input,
.form_line_wrapper .form_container select {
    background: none;
    border: none;
    font-size: 14px;
    font-weight: 400;
    color: #333;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-left: 10px;
}

.form_line_wrapper .form_container input:focus,
.form_line_wrapper .form_container select:focus {
    outline: none;
}

.form_container textarea {
    border: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    resize: none;
    /* Disable the drag resizing */
    box-sizing: border-box;
    padding: 10px;
    font-size: 14px;
    font-weight: 400;
    color: #333;
}

.form_container.textarea {
    height: 100px;
}

.form_container textarea:focus {
    outline: none;
}

.main-content {
    flex: 1;
    transition: 0.3s ease;
    position: relative;
    margin-left: 0;
}

.container-msg {
    background-color: rgba(0, 0, 0, 0.6);
    padding: 20px 80px 40px 80px;
    border-radius: 15px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.6);
    max-width: 95%;
    max-height: 90%;
    overflow: auto;
    margin: 20px;
    margin-top: 5em;
}

.submit-wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-end;
    align-items: center;
}

.submit-wrapper button {
    width: 12em;
    padding: 12px;
    border-radius: 10px;
    font-size: 12px;
    color: #333;
    font-weight: 500;
}

.submit-wrapper button.btn-cancel {
    background: #fff;
    margin-right: 20px;
}

.title-content {
    font-size: 25px;
    color: antiquewhite;
    font-weight: 600;
    margin: 0px 0px 30px 0px;
}

.main-content p {
    color: #fff;
}